//
//  BoosterStatsView.swift
//
//
//  Created by Victor on 15/07/2024.
//

import SwiftUI

struct BoosterStatsView: View {
    
    var body: some View {
        VStack(spacing: 8) {
            HStack(alignment: .top, spacing: 8) {
                VStack {
                    HStack(spacing: 0) {
                        SQText("x")
                            .sqSize(24)
                            .sqFont(.bold)
                        SQText("3")
                            .sqSize(32)
                            .sqFont(.bold)
                    }
                    SQText("Demandes privées*")
                        .sqSize(14)
                        .sqFont(.semiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
                Divider()
                    .overlay {
                        Color.sqRoyal()
                    }
                    .frame(height: 72)
                VStack {
                    HStack(spacing: 0) {
                        SQText("x")
                            .sqSize(24)
                            .sqFont(.bold)
                        SQText("3")
                            .sqSize(32)
                            .sqFont(.bold)
                    }
                    SQText("Évaluations*")
                        .sqSize(14)
                        .sqFont(.semiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
                Divider()
                    .overlay {
                        Color.sqRoyal()
                    }
                    .frame(height: 72)
                VStack {
                    HStack(spacing: 0) {
                        SQText("x")
                            .sqSize(24)
                            .sqFont(.bold)
                        SQText("2.9")
                            .sqSize(32)
                            .sqFont(.bold)
                    }
                    SQText("Mise en favori*")
                        .sqSize(14)
                        .sqFont(.semiBold)
                        .lineLimit(2)
                        .multilineTextAlignment(.center)
                }
                .frame(minWidth: 100, maxWidth: .infinity)
            }
            .foregroundColor(.sqRoyal())
            SQText("*Performances moyennes obtenues par les profils boostés, par rapport aux Abonnés Premier.")
                .sqSize(11)
                .lineLimit(2)
        }
        .foregroundColor(.sqRoyal())
    }
}

#Preview {
    BoosterStatsView()
        .padding([.leading, .trailing], 16)
}
